重要!关于即将发布的 WordPress 5.0 和 Gutenberg 古腾堡编辑器相关问题预警。

变革没有好坏之分,这些都是进化过程中所必须经历的环节,在 WordPress 5.0 中可能会集成现在已经开始推送的新古腾堡插件,但就目前来说新的编辑器并不适合所有人使用。

下面是我们整理的一些已知问题,请做好相关应对准备。

1、主题、插件兼容性测试;

Gutenberg 编辑器尚未达到 100% 兼容 WordPress 的全部插件和主题,如果您打算在自己现有站点上使用 Gutenberg ,那么请先进行些测试工作,以便避免后续可能会发生的错误。

2、高级主题、插件兼容性测试;

也是受到尚未确定的 WordPress 5.0 版本的影响,我们将暂缓提供数字商城的产品更新工作,预知的 5.0 发布时间是在 8 月底或者 9 月初,届时目前主流的高级主题、插件产品会进行大批量更新,所以请耐心等待,一旦相关工作处理完毕,薇晓朵会第一时间推送新版本上架。

3、页面生成器和 Gutenberg 不会转换:

首先您应该知道,不管是选择用哪款页面生成器来做的页面都不会与另一款页面生成器插件自由转换,同理,Gutenberg 编辑器也不会,如果您需要使用 Gutenberg ,那么所有的前端页面布局可能都需要进行重新编辑,当然这些工作是可选的。

4、WordPress 社区及生态会受到什么影响:

从去年就一直关注 Gutenberg 到现在,不得不说切切实实的是看到了很多的改进,但就一个 WordPress 的老用户来说,这款编辑器不适合我们,要做好看的页面,功能性还太弱,要进行写作,功能太过繁琐。

或许就是因为这个原因,到目前为止 Gutenberg 的评分都是 1 星居多,但我们有理由相信这款插件在将来会变得越来越好,只是就现在来说实在是很令人失望,更重要的可能会强制性的集成到 WordPress 5.0 核心中,所有的用户都被迫使用,而不是可以进行选择。

5、Gutenberg 编辑器的未来趋势:

这会是两个极端的方向,如果喜欢使用现有模式 WordPress 的老用户那么可能会非常讨厌这款编辑器,但对于一些新加入 WordPress 的用户可能会是意外的惊喜,因为直接上手就是一款可视化的建站系统。

就薇晓朵自身来说,不管是我们自己站点还是客户站点,目前都是禁用了 Gutenberg 编辑器的(安装  Classic Editor 经典编辑器插件),因为我们不想白白的增加工作量,原本已经做的网站和排版布局因为切换编辑器而打乱重建这太可怕了。

所以我们在未来至少一年半的时间里是不会使用到现有站点中的,但可能会尝试在新的站点中使用,毕竟这还是一款比较有潜力的工具。

发布者

小爱

站在雨中,就不会有人知道脸上旳是泪水还是雨水。

发表评论

您的电子邮箱地址不会被公开。